FIX: "Impossibile caricare il file o l'assembly ' versione Microsoft.BizTalk.Interop.SSOClient = 5.0.1.0" errore quando si utilizza lo strumento di configurazione ESB in BizTalk Server 2013

IMPORTANTE: il presente articolo è stato tradotto tramite un software di traduzione automatica di Microsoft ed eventualmente revisionato dalla community Microsoft tramite la tecnologia CTF (Community Translation Framework) o da un traduttore professionista. Microsoft offre articoli tradotti manualmente e altri tradotti automaticamente e rivisti dalla community con l’obiettivo di consentire all'utente di accedere a tutti gli articoli della Knowledge Base nella propria lingua. Tuttavia, un articolo tradotto automaticamente, anche se rivisto dalla community, non sempre è perfetto. Potrebbe contenere errori di vocabolario, di sintassi o di grammatica. Microsoft declina ogni responsabilità per imprecisioni, errori o danni causati da una traduzione sbagliata o dal relativo utilizzo da parte dei clienti. Microsoft aggiorna frequentemente il software e gli strumenti di traduzione automatica per continuare a migliorare la qualità della traduzione.

Clicca qui per visualizzare la versione originale in inglese dell’articolo: 2848425
Sintomi
Si supponga di disporre di Microsoft BizTalk Server 2013 e Toolkit di Microsoft BizTalk Enterprise Service Bus (ESB) 2.2 installato in un computer. Quando si tenta di utilizzare lo strumento di configurazione ESB per configurare l'origine di configurazione di Microsoft Enterprise Single Sign-On (SSO), la configurazione ha esito negativo. Inoltre, viene visualizzato un messaggio di errore analogo al seguente:
Eccezione chiamata "Carico" con uno o più argomenti "1": "Impossibile caricare il file o l'assembly ' versione Microsoft.BizTalk.Interop.SSOClient = 5.0.1.0, Culture = neutral, PublicKey Token = '31bf3856ad364e35' o una delle relative dipendenze. Impossibile trovare i file specificati."

Cause
Il problema si verifica a causa della dipendenza di file non corretto. BizTalk Server 2013 installa la dll Microsoft.BizTalk.Interop.SSOClientVersion=7.0.2300.0. Tuttavia, fa riferimento ESB Toolkit per la ' versione Microsoft.BizTalk.Interop.SSOClient = 5.1.0.0 dll.

Nota. Dopo aver installato questo pacchetto di aggiornamento cumulativo, Toolkit ESB farà riferimento alla versione corretta.
Risoluzione

Informazioni sull'aggiornamento cumulativo

Per BizTalk Server 2013

L'hotfix per risolvere questo problema è incluso nel pacchetto di aggiornamento cumulativo 2 per BizTalk Server 2013.

Per ulteriori informazioni su come ottenere il pacchetto di aggiornamento cumulativo, fare clic sul numero dell'articolo riportato di seguito per visualizzare l'articolo della Microsoft Knowledge Base:
2892599 Pacchetto di aggiornamento cumulativo 2 per BizTalk Server 2013


Status
Microsoft ha confermato che questo è un problema nei prodotti Microsoft elencati nella sezione "Si applica a".

Avviso: questo articolo è stato tradotto automaticamente

Proprietà

ID articolo: 2848425 - Ultima revisione: 11/01/2013 09:06:00 - Revisione: 1.0

Microsoft BizTalk Server 2013 Standard, Microsoft BizTalk Server 2013 Branch, Microsoft BizTalk Server 2013 Enterprise

  • kbfix kbqfe kbexpertiseadvanced kbsurveynew kbmt KB2848425 KbMtit
Feedback